Zum Inhalt springen
ecdsa.com

OpenPGP-v6-Schlüssel

Das mit RFC 9580 eingeführte Schlüsselformat mit 32-Byte-Fingerabdrücken aus SHA-256, nativen Algorithmen Ed25519/X25519/Ed448/X448 und v6-Signaturen mit Salt; es ersetzt die SHA-1-basierten v4-Schlüssel aus RFC 4880.
Auch geschrieben alsv6 keyRFC 9580 keyv6 fingerprintOpenPGP crypto refresh

Ein v6-Fingerabdruck ist SHA-256 über das Schlüsselpaket mit einem v6-Präfix (64 Hex-Ziffern), und die Schlüssel-ID besteht aus seinen ersten 64 Bit; ein v4-Fingerabdruck ist SHA-1 (40 Hex-Ziffern), die Schlüssel-ID stammt dort aus den letzten 64 Bit (RFC 9580 §5.5.4). Jede v6-Signatur enthält ein zufälliges Salt, das vor den Daten gehasht wird; das macht Chosen-Prefix-Kollisionsangriffe auf den signierten Hash praktisch undurchführbar. Die IDs 25–28 der Public-Key-Algorithmen stehen für X25519, X448, Ed25519 und Ed448; RFC 9980 ergänzt die IDs 30–36 für Post-Quanten-Algorithmen, von denen die meisten v6-Schlüssel voraussetzen.

Zu den Implementierungen mit v6-Unterstützung gehören Sequoia PGP und OpenPGP.js; GnuPG schreibt für seine neuesten Formate stattdessen LibrePGP-v5-Schlüssel, und Keyserver sowie ältere Tools können Schlüssel einer Version ablehnen, die sie nicht kennen. Einen v6-Schlüssel neben einem v4-Schlüssel zu veröffentlichen, ist der vorsichtige Weg, solange das Ökosystem aufholt.

Standards und Quellen

Alle Begriffe